Bug 1289386 - [GSS](6.4.z) When checking for orphaned subordinate transactions in the middle of a tree branches that are eligible for orphan detect
[GSS](6.4.z) When checking for orphaned subordinate transactions in the middl...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Transaction Manager (Show other bugs)
6.4.5
Unspecified Unspecified
high Severity unspecified
: CR1
: EAP 6.4.8
Assigned To: Ivo Studensky
Ondrej Chaloupka
:
Depends On:
Blocks: eap648-payload 1289990
  Show dependency treegraph
 
Reported: 2015-12-07 19:39 EST by dstephan
Modified: 2017-01-17 07:56 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 07:34:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBTM-2575 Blocker Closed When checking for orphaned subordinate transactions in the middle of a tree branches that are eligible for orphan detect... 2017-06-12 10:30 EDT
Red Hat Knowledge Base (Solution) 2328051 None None None 2016-05-18 04:42 EDT

  None (edit)
Description dstephan 2015-12-07 19:39:15 EST
Description of problem:

There is a check in the subordinate orphan detection that not only checks for matching gtrid but also for matching subordinate name. This will not match correctly for an intermediary node. E.g.
a->b b->c

When b scans c the xid it gets back will have subordinate name of c, b will look in its object store and match the subordinate on gtrid but the subordinate node ID in b subordinateatomicaction will be "b".

This check is actually superfluous anyway. We already know that the Xid returned from c was for b because of transport level checks.
Comment 1 JBoss JIRA Server 2015-12-15 04:59:14 EST
Tom Jenkinson <tom.jenkinson@redhat.com> updated the status of jira JBTM-2575 to Closed
Comment 6 Ondrej Chaloupka 2016-05-12 00:20:24 EDT
Verified with 6.4.8.CP.CR2 and Narayana in version 4.17.32.Final

The behavior was checked with reproducer at
https://github.com/ochaloup/ejb-call-one-other/
Comment 7 Petr Penicka 2017-01-17 07:34:58 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.
Comment 8 Petr Penicka 2017-01-17 07:56:47 EST
Retroactively bulk-closing issues from released EAP 6.4 cummulative patches.

Note You need to log in before you can comment on or make changes to this bug.